
require "defines"
require "util"


game.on_event(defines.events.on_tick, function(event)
		if (game.tick % 200) == 0 then
			check_generators()
		end

		if (game.tick % 2000) == 0 then
			change_wind()
		end
end)




game.on_event(defines.events.on_built_entity, function(event)

	if event.created_entity.name == "wind-turbine" then	
			local wind_turbine = event.created_entity
						if global.wind_turbine == nil
						then global.wind_turbine = {}
						end
					table.insert(global.wind_turbine, wind_turbine)
					wind_turbine.fluidbox[1] = {type="wind", amount=100, temperature=0}

	end
end)


game.on_event(defines.events.on_robot_built_entity, function(event)

	if event.created_entity.name == "wind-turbine" then		
			local wind_turbine = event.created_entity
						if global.wind_turbine == nil
						then global.wind_turbine = {}
						end
					table.insert(global.wind_turbine, wind_turbine)
					wind_turbine.fluidbox[1] = {type="wind", amount=100, temperature=0}
	end
end)



function check_generators()
   if global.wind_turbine ~= nil then
      for k,gen in pairs(global.wind_turbine) do
					if gen.valid then
         				if gen.fluidbox[1] ~= nil then 
         				local pot = gen.fluidbox[1]
						pot["amount"] = 10
						pot["temperature"] = 100*(game.wind_speed*25)
						gen.fluidbox[1] = pot


						else table.remove(global.wind_turbine, k)
end				
end
end
end
end
				
function change_wind()
local rand = math.random() / 25
game.wind_speed = rand
end
				
			
